MilterCommandDecoder
3
milter managerライブラリ

# MilterCommandDecoder

## Functions

GQuark | milter_command_decoder_error_quark ()
MilterDecoder * | milter_command_decoder_new ()

## シグナル

void | abort | Run Last
void | body | Run Last
void | connect | Run Last
void | data | Run Last
void | define-macro | Run Last
void | end-of-header | Run Last
void | end-of-message | Run Last
void | envelope-from | Run Last
void | envelope-recipient | Run Last
void | header | Run Last
void | helo | Run Last
void | negotiate | Run Last
void | quit | Run Last
void | unknown | Run Last

## Types and Values

#define | MILTER_COMMAND_DECODER_ERROR
enum | MilterCommandDecoderError

## オブジェクト階層

        GEnum
        ╰── MilterCommandDecoderError
        GObject
        ╰── MilterDecoder
            ╰── MilterCommandDecoder

## 説明

## Functions

### milter_command_decoder_error_quark ()

    GQuark
    milter_command_decoder_error_quark (void);

### milter_command_decoder_new ()

    MilterDecoder *
    milter_command_decoder_new (void);

## Types and Values

### MILTER_COMMAND_DECODER_ERROR

    #define MILTER_COMMAND_DECODER_ERROR           (milter_command_decoder_error_quark())

### enum MilterCommandDecoderError

#### Members

MILTER_COMMAND_DECODER_ERROR_UNKNOWN_MACRO_CONTEXT |  |
MILTER_COMMAND_DECODER_ERROR_INVALID_FORMAT |  |
MILTER_COMMAND_DECODER_ERROR_UNKNOWN_SOCKET_FAMILY |  |

## シグナル詳細

### The `“abort”` signal

    void
    user_function (MilterCommandDecoder *miltercommanddecoder,
                   gpointer              user_data)

Flags: Run Last

### The `“body”` signal

    void
    user_function (MilterCommandDecoder *miltercommanddecoder,
                   gchar                *arg1,
                   guint64               arg2,
                   gpointer              user_data)

Flags: Run Last

### The `“connect”` signal

    void
    user_function (MilterCommandDecoder *miltercommanddecoder,
                   gchar                *arg1,
                   gpointer              arg2,
                   guint                 arg3,
                   gpointer              user_data)

Flags: Run Last

### The `“data”` signal

    void
    user_function (MilterCommandDecoder *miltercommanddecoder,
                   gpointer              user_data)

Flags: Run Last

### The `“define-macro”` signal

    void
    user_function (MilterCommandDecoder *miltercommanddecoder,
                   MilterCommand         arg1,
                   gpointer              arg2,
                   gpointer              user_data)

Flags: Run Last

### The `“end-of-header”` signal

    void
    user_function (MilterCommandDecoder *miltercommanddecoder,
                   gpointer              user_data)

Flags: Run Last

### The `“end-of-message”` signal

    void
    user_function (MilterCommandDecoder *miltercommanddecoder,
                   gchar                *arg1,
                   guint64               arg2,
                   gpointer              user_data)

Flags: Run Last

### The `“envelope-from”` signal

    void
    user_function (MilterCommandDecoder *miltercommanddecoder,
                   gchar                *arg1,
                   gpointer              user_data)

Flags: Run Last

### The `“envelope-recipient”` signal

    void
    user_function (MilterCommandDecoder *miltercommanddecoder,
                   gchar                *arg1,
                   gpointer              user_data)

Flags: Run Last

### The `“header”` signal

    void
    user_function (MilterCommandDecoder *miltercommanddecoder,
                   gchar                *arg1,
                   gchar                *arg2,
                   gpointer              user_data)

Flags: Run Last

### The `“helo”` signal

    void
    user_function (MilterCommandDecoder *miltercommanddecoder,
                   gchar                *arg1,
                   gpointer              user_data)

Flags: Run Last

### The `“negotiate”` signal

    void
    user_function (MilterCommandDecoder *miltercommanddecoder,
                   MilterOption         *arg1,
                   gpointer              user_data)

Flags: Run Last

### The `“quit”` signal

    void
    user_function (MilterCommandDecoder *miltercommanddecoder,
                   gpointer              user_data)

Flags: Run Last

### The `“unknown”` signal

    void
    user_function (MilterCommandDecoder *miltercommanddecoder,
                   gchar                *arg1,
                   gpointer              user_data)

Flags: Run Last